<!--
  Generated template for the RegisterPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->

<ion-content padding class="wrap-all">
	<div class="back-icon-container">
	    <img class="back-icon" src="../assets/icon/backicon.png" (click)="backButton()"/>
	</div>
	<div class="logo-container">
	    <img class="logo" src="../assets/logo/antnest.png"/>
	</div>
	<div class="registration-header">
	    <p class="registration">Account Registration</p>
	</div>
	<div class="registration-text-container">
		<p class="registration-text">Fill in all the account details:</p>
	</div>

	<div class="sign-up-input-form">
		<ion-item class="sign-up-input-item">
			<ion-input type="email" placeholder="Email..." [(ngModel)]="newUser.email"></ion-input>
		</ion-item>

		<ion-item class="sign-up-input-item">
			<ion-input type="password" placeholder="Password..." [(ngModel)]="newUser.password"></ion-input>
		</ion-item>

		<ion-item class="sign-up-input-item">
			<ion-input type="text" placeholder="Display Name..." [(ngModel)]="newUser.displayName"></ion-input>
		</ion-item>
	</div>
	
	<div class="sign-up-button">
		<button ion-button round block outline color="dark" (click)="registerUser(newUser)">Sign Up</button>
	</div>

</ion-content>
